
# 📝 Examples

You can find a complete app [**in this directory**](https://github.com/felixblaschke/simple_animations/tree/master/example) that contains examples of Simple Animations in action.

## TypeWriter

Example animates width of the box, text length and cursor.

![example1](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-1.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/typewriter_box.dart)


## Checkbox

Example of an animated custom checkbox.

![example2](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-2.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/switchlike_checkbox.dart)



## Waves

Example of sine waves in front of an animated background gradient.

![example3](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-3.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/fancy_background.dart)




## Widgets fade-in

Example of delayed fade-in of widgets.

![example4](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-4.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/fade_in_ui.dart)



## Bubbles

Example of a bubble particle system.

![example5](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-5.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/particle_background.dart)




## Bar charts

Example of animated bar charts.

![example6](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-6.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/bar_chart.dart)




## Particle explosion

Example of a particle explosion upon user interaction.

![example7](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-7.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/hit_a_mole.dart)



## Loading animation

Example of a custom loading animation that waits for a http request.

![example6](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/simple_animations/v1/sa-8.gif)

[View code](https://github.com/felixblaschke/simple_animations/blob/master/example/lib/examples/acx_progress_indicator.dart)






